Bug 329069 - Expose alignment actions from context menu
Summary: Expose alignment actions from context menu
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Unclassified
Component: general (show other bugs)
Version: Git
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Joris Steyn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-21 10:25 UTC by Joris Steyn
Modified: 2013-12-22 19:17 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joris Steyn 2013-12-21 10:25:18 UTC
A user can add the alignment buttons to the main toolbar but by default the functionality is "hidden". I'd like to add an "Align" submenu in the context menu of selection of multiple widgets.

Reproducible: Always

Steps to Reproduce:
1. Add multiple widgets to a diagram
2. Select them
3. Right click -> context menu
Actual Results:  
No alignment actions offered.

Expected Results:  
A submenu containing the align top/bottom/left/right/hdist/hmiddle/vdist/vmiddle actions.
Comment 1 Joris Steyn 2013-12-22 19:17:11 UTC
Git commit 4b94d756daa35f57a88452db0e9267a379bd7efe by Joris Steyn.
Committed on 22/12/2013 at 18:42.
Pushed by jorissteyn into branch 'master'.

Add alignment actions to context menu

M  +21   -0    umbrello/listpopupmenu.cpp
M  +10   -0    umbrello/listpopupmenu.h
M  +24   -1    umbrello/widgets/widgetbase.cpp

http://commits.kde.org/umbrello/4b94d756daa35f57a88452db0e9267a379bd7efe